#include <bits/stdc++.h>
using namespace std;

long long int n;
double x,y;

int main() {
    cin>>n;
    double a[n], b[n];
    for(long long int i=0;i<n; i++){
        cin>>a[i]>>b[i];
    }
    y=0.0;
    for(long long int i=0;i<n; i++){
        x=0.0;
        for(long long int j=0;j<n; j++){
            if(b[j]>=b[i]){
                x=x+a[j]*b[i]*0.01;
            }
        }
        if(x>y){y=x;}
    }
    printf("%f",y);
    return 0;
}